# List Clearing Trades

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Clearing", href: "/trading/rest-api/clearing" },
    { label: "List Clearing Trades" },
  ]}
  title="List Clearing Trades"
  method="POST"
  url="https://api.gemini.com/v1/clearing/trades"
  description="Retrieve settled and in-flight clearing trades for the account."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/clearing/trades",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/clearing/trades",
        nonce: "<nonce>",
        timestamp_nanos: 1630382206000000000,
        limit_per_account: 50,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>clearing:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listClearingTrades" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listClearingTrades" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listClearingTrades" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Create New Broker Order", href: "/trading/rest-api/clearing/create-new-broker-order" }}
  next={{ label: "Instant Orders", href: "/trading/rest-api/instant-orders" }}
/>
